Add an asset instance to an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/assets/{asset_id}/asset-asset-instances

Make an instance of an asset and put it in the asset of the path. A client or a vendor of the project cannot use this route.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset that receives the instance

application/json

Body Required

  • asset_to_instantiate_id string(uuid) Required

    Unique identifier of the asset to instantiate

  • description string

    Description for the asset instance

Responses

  • 201 application/json

    The new asset instance

    Hide response attributes Show response attributes object
    • id string(uuid)

      Created asset instance unique identifier

    • asset_id string(uuid)

      Parent asset identifier

    • target_asset_id string(uuid)

      Target asset identifier

    • number string

      Instance number

    • description string

      Instance description

    • created_at string(date-time)

      Creation timestamp

  • 403

    You do not have access to this project, or you are a client or a vendor

  • 404

    The asset does not exist

POST /data/assets/{asset_id}/asset-asset-instances
curl -X POST "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/asset-asset-instances" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "asset_to_instantiate_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "description": "Asset instance description"
}'
import requests

url = "http://api.example.com/data/assets/a24a6ea4-ce75-4665-a070-57453082c25/asset-asset-instances"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "asset_to_instantiate_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "description": "Asset instance description"
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "asset_to_instantiate_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "description": "Asset instance description"
}
Response examples (201)
{
  "id": "f79f13f9-1320-9110-f625-029085371700",
  "asset_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "target_asset_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "number": "001",
  "description": "Main character instance",
  "created_at": "2023-01-01T12:00:00Z"
}